Option Strict Off
Option Explicit On
Module Module4
    Private Declare Function ECF_LeituraMemoriaFiscalDataMFD Lib "CONVECF.DLL" (ByVal DataInic As String, ByVal DataFim As String, ByVal Simples As String) As Integer
    Private Declare Function ECF_LeituraMemoriaFiscalSerialDataMFD Lib "CONVECF.DLL" (ByVal DataInic As String, ByVal DataFim As String, ByVal Simples As String) As Integer
    Private Declare Function ECF_LeituraMemoriaFiscalReducaoMFD Lib "CONVECF.DLL" (ByVal CRZInicial As String, ByVal CRZFinal As String, ByVal Simples As String) As Integer
    Private Declare Function ECF_LeituraMemoriaFiscalSerialReducaoMFD Lib "CONVECF.DLL" (ByVal CRZInicial As String, ByVal CRZFinal As String, ByVal Simples As String) As Integer
	
	Function LMFData() As Object
		Dim retorno As Object
		
        Form1.List1.Items.Clear()
        retorno = ECF_LeituraMemoriaFiscalDataMFD("01/" & VB6.Format(Today, "mm/yyyy"), CStr(Today), "C")
        Form1.List1.Items.Add(" 'ECF_LeituraMemoriaFiscalDataMFD' - Status: " & retorno)
	End Function
	
	
	Function LMFReducao() As Object
		Dim retorno As Object
		
        Form1.List1.Items.Clear()
        retorno = ECF_LeituraMemoriaFiscalReducaoMFD("0001", "0005", "C")
        Form1.List1.Items.Add(" 'ECF_LeituraMemoriaFiscalReducaoMFD' - Status: " & retorno)
	End Function
	
	Function LMFDataSerial() As Object
		Dim retorno As Object
		
        Form1.List1.Items.Clear()
        retorno = ECF_LeituraMemoriaFiscalSerialDataMFD("01/" & VB6.Format(Today, "mm/yyyy"), CStr(Today), "C")
        Form1.List1.Items.Add(" 'ECF_LeituraMemoriaFiscalSerialDataMFD' - Status: " & retorno)
	End Function
	
	Function LMFReducaoSerial() As Object
		Dim retorno As Object
		
        Form1.List1.Items.Clear()
        retorno = ECF_LeituraMemoriaFiscalSerialReducaoMFD("0001", "0005", "C")
        Form1.List1.Items.Add(" 'ECF_LeituraMemoriaFiscalSerialReducaoMFD' - Status: " & retorno)
	End Function
End Module